STOFFListLevel Struct Reference

small structure to keep information about a list level More...

`#include <STOFFList.hxx>`

## Public Types

enum | Type { DEFAULT , NONE , BULLET , NUMBER }
| the type of the level More...

## Public Member Functions

| STOFFListLevel ()
| basic constructor
| STOFFListLevel (STOFFListLevel const &)=default
| STOFFListLevel (STOFFListLevel &&)=default
STOFFListLevel & | operator= (STOFFListLevel const &)=default
STOFFListLevel & | operator= (STOFFListLevel &&)=default
| ~STOFFListLevel ()
| destructor
bool | isDefault () const
| returns true if the level type was not set
bool | isNumeric () const
| returns true if the list is decimal, alpha or roman
bool | operator== (STOFFListLevel const &levl) const
| operator==
bool | operator!= (STOFFListLevel const &levl) const
| operator!=
void | addTo (librevenge::RVNGPropertyList &propList) const
| add the information of this level in the propList
int | getStartValue () const
| returns the start value (if set) or 1
int | cmp (STOFFListLevel const &levl) const
| comparison function ( compare all values excepted m_startValues

## Public Attributes

Type | m_type
| the type of the level
librevenge::RVNGPropertyList | m_propertyList
| the propertyList
std::shared_ptr< STOFFFont > | m_font
| the font
int | m_startValue
| the actual value (if this is an ordered level )

## Detailed Description

small structure to keep information about a list level

## Member Enumeration Documentation

## Type

enum STOFFListLevel::Type

the type of the level

Enumerator
DEFAULT |
NONE |
BULLET |
NUMBER |

## Constructor & Destructor Documentation

## STOFFListLevel() [1/3]

STOFFListLevel::STOFFListLevel | ( |  | ) |

inline

basic constructor

Referenced by cmp(), operator!=(), operator=(), operator=(), operator==(), STOFFListLevel(), and STOFFListLevel().

## STOFFListLevel() [2/3]

STOFFListLevel::STOFFListLevel | ( | STOFFListLevel const & |  | ) |

default

## STOFFListLevel() [3/3]

STOFFListLevel::STOFFListLevel | ( | STOFFListLevel && |  | ) |

default

## ~STOFFListLevel()

STOFFListLevel::~STOFFListLevel | ( |  | ) |

destructor

## Member Function Documentation

## addTo()

void STOFFListLevel::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the information of this level in the propList

## cmp()

int STOFFListLevel::cmp | ( | STOFFListLevel const & | levl | ) | const

comparison function ( compare all values excepted m_startValues

Referenced by STOFFList::isCompatibleWith(), and operator==().

## getStartValue()

int STOFFListLevel::getStartValue | ( |  | ) | const

inline

returns the start value (if set) or 1

Referenced by addTo(), and STOFFList::set().

## isDefault()

bool STOFFListLevel::isDefault | ( |  | ) | const

inline

returns true if the level type was not set

## isNumeric()

bool STOFFListLevel::isNumeric | ( |  | ) | const

inline

returns true if the list is decimal, alpha or roman

## operator!=()

bool STOFFListLevel::operator!= | ( | STOFFListLevel const & | levl | ) | const

inline

operator!=

## operator=() [1/2]

STOFFListLevel & STOFFListLevel::operator= | ( | STOFFListLevel && |  | ) |

default

## operator=() [2/2]

STOFFListLevel & STOFFListLevel::operator= | ( | STOFFListLevel const & |  | ) |

default

## operator==()

bool STOFFListLevel::operator== | ( | STOFFListLevel const & | levl | ) | const

inline

operator==

Referenced by operator!=().

## Member Data Documentation

## m_font

std::shared_ptr<STOFFFont> STOFFListLevel::m_font

the font

Referenced by cmp(), StarObjectNumericRuler::readAttributeLevel(), StarObjectNumericRuler::readLevel(), and STOFFListLevel().

## m_propertyList

librevenge::RVNGPropertyList STOFFListLevel::m_propertyList

the propertyList

Referenced by StarParagraphAttribute::StarPAttributeBulletNumeric::addTo(), addTo(), cmp(), STOFFParagraph::operator<<, StarObjectNumericRuler::readAttributeLevel(), StarObjectNumericRuler::readLevel(), StarObjectNumericRuler::readList(), and STOFFListLevel().

## m_startValue

int STOFFListLevel::m_startValue

the actual value (if this is an ordered level )

Referenced by getStartValue(), StarObjectNumericRuler::readLevel(), STOFFList::set(), and STOFFListLevel().

## m_type

Type STOFFListLevel::m_type

the type of the level

Referenced by StarParagraphAttribute::StarPAttributeBulletNumeric::addTo(), addTo(), cmp(), isDefault(), isNumeric(), StarObjectNumericRuler::readAttributeLevel(), StarObjectNumericRuler::readLevel(), StarObjectNumericRuler::readList(), STOFFList::set(), and STOFFListLevel().

The documentation for this struct was generated from the following files:

- STOFFList.hxx
- STOFFList.cxx